Get All Offer Groups
curl --request GET \
--url https://api.eflow.team/v1/networks/offergroups \
--header 'X-Eflow-Api-Key: <api-key>'import requests
url = "https://api.eflow.team/v1/networks/offergroups"
headers = {"X-Eflow-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Eflow-Api-Key': '<api-key>'}};
fetch('https://api.eflow.team/v1/networks/offergroups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"offer_groups": [
{
"network_offer_group_id": 123,
"network_id": 123,
"network_advertiser_id": 123,
"name": "<string>",
"internal_notes": "<string>",
"is_caps_enabled": true,
"daily_conversion_cap": 123,
"weekly_conversion_cap": 123,
"monthly_conversion_cap": 123,
"global_conversion_cap": 123,
"daily_payout_cap": 123,
"weekly_payout_cap": 123,
"monthly_payout_cap": 123,
"global_payout_cap": 123,
"daily_revenue_cap": 123,
"weekly_revenue_cap": 123,
"monthly_revenue_cap": 123,
"global_revenue_cap": 123,
"daily_click_cap": 123,
"weekly_click_cap": 123,
"monthly_click_cap": 123,
"global_click_cap": 123,
"time_created": 1734455015,
"time_saved": 1734455015,
"relationship": {
"advertiser": {
"network_advertiser_id": 123,
"network_id": 123,
"name": "<string>",
"account_status": "<string>",
"network_employee_id": 123,
"sales_manager_id": 123,
"address_id": 123,
"is_contact_address_enabled": true,
"default_currency_id": "<string>",
"platform_name": "<string>",
"platform_url": "<string>",
"platform_username": "<string>",
"offer_id_macro": "<string>",
"affiliate_id_macro": "<string>",
"accounting_contact_email": "<string>",
"internal_notes": "<string>",
"attribution_method": "<string>",
"email_attribution_method": "<string>",
"attribution_priority": "<string>",
"verification_token": "<string>",
"is_expose_publisher_reporting_data": true,
"reporting_timezone_id": "<string>",
"time_created": 1734455015,
"time_saved": 1734455015
},
"labels": {
"total": 123,
"entries": [
"<string>"
]
},
"network_offer_ids": [
123
],
"remaining_caps": {
"remaining_daily_payout_cap": 123,
"remaining_daily_revenue_cap": 123,
"remaining_daily_conversion_cap": 123,
"remaining_daily_click_cap": 123,
"remaining_weekly_payout_cap": 123,
"remaining_weekly_revenue_cap": 123,
"remaining_weekly_conversion_cap": 123,
"remaining_weekly_click_cap": 123,
"remaining_monthly_payout_cap": 123,
"remaining_monthly_revenue_cap": 123,
"remaining_monthly_conversion_cap": 123,
"remaining_monthly_click_cap": 123,
"remaining_global_payout_cap": 123,
"remaining_global_revenue_cap": 123,
"remaining_global_conversion_cap": 123,
"remaining_global_click_cap": 123
}
},
"is_soft_cap": true
}
]
}Offer Groups
Get All Offer Groups
GET
/
networks
/
offergroups
Get All Offer Groups
Retrieve all offer groups. Returns the full offer group objects including cap settings and associated offer IDs. Use the
relationship query parameter to include audits or today’s reporting data.Authorizations
The Everflow API key generated from the Control Center > Security.
Query Parameters
Include related data (audits or today's reporting).
Available options:
audits, reporting Response
200 - application/json
Show child attributes
Show child attributes
Was this page helpful?
⌘I
